Returns a list of bills filtered by the specified congress and bill type, sorted by date of latest action.

The result set can be further filtered using 'fromDateTime' and 'toDateTime' parameters. It can also be sorted by 'updateDate'.

  • fromDateTime: start timestamp to filter by update date.

  • toDateTime: end timestamp to filter by update date.

  • sort: sort by 'updateDate' in ascending (asc) or descending (desc) order.

GET /bill/:congress/:billType

Example Request

/v3/bill/117/hr?fromDateTime=2022-08-04T04:02:00Z&toDateTime=2022-08-04T04:03:00Z&sort=updateDate+asc
::

{
    'bills': [
        {
            'congress': 117,
            'latestAction': {
                'date': '2022-04-06',
                'text': 'Became Public Law No: 117-108.'
            },
            'number': '3076',
            'originChamber': 'House',
            'title': 'Postal Service Reform Act of 2021',
            'type': 'HR',
            'url': 'https://api.congress.gov/v3/bill/117/hr/3076?format=json'
        },
        ...
    ]
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The congress number. For example, the value can be 117.

string
required

The type of bill. Value can be hr, s, hjres, sjres, hconres, sconres, hres, or sres.

Query Params
string

The data format. Value can be xml or json.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

Invalid status value

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json